diff --git a/sysutils/k3b/Makefile b/sysutils/k3b/Makefile
index 3fc502d5647f..02dce5add218 100644
--- a/sysutils/k3b/Makefile
+++ b/sysutils/k3b/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	k3b
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	sysutils multimedia kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -8,7 +7,7 @@ COMMENT=	KDE CD/DVD writing suite
 WWW=		https://www.k3b.org/
 
 LIB_DEPENDS=	libFLAC.so:audio/flac \
-		libKF5Cddb.so:audio/libkcddb \
+		libKCddb6.so:audio/libkcddb \
 		libcdda_paranoia.so:audio/cdparanoia \
 		libdvdread.so:multimedia/libdvdread \
 		libmad.so:audio/libmad \
@@ -22,15 +21,14 @@ RUN_DEPENDS=	cdrecord:sysutils/cdrtools
 BUILD_DEPENDS=	cdrecord:sysutils/cdrtools
 
 USES=		cmake compiler:c++11-lang desktop-file-utils gettext iconv \
-		kde:5 pkgconfig qt:5 shared-mime-info tar:xz xorg
+		kde:6 pkgconfig qt:6 shared-mime-info tar:xz xorg
 
-USE_KDE=	archive attica auth bookmarks codecs completion config \
+USE_KDE=	archive attica auth bookmarks codecs colorscheme completion config \
 		configwidgets coreaddons filemetadata i18n iconthemes \
 		itemviews jobwidgets kcmutils kio newstuff notifications \
 		notifyconfig service solid widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network webengine widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base webengine
 USE_XORG=	x11
 
 # The ffmpeg-plugin needs patching
diff --git a/sysutils/k3b/distinfo b/sysutils/k3b/distinfo
index 11880dbc1eca..ca9b9b7f0585 100644
--- a/sysutils/k3b/distinfo
+++ b/sysutils/k3b/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889351
-SHA256 (KDE/release-service/23.08.5/k3b-23.08.5.tar.xz) = c789518b45c8505710fd2b66706c4826f251c5487d9b381df76cc96ffb59309a
-SIZE (KDE/release-service/23.08.5/k3b-23.08.5.tar.xz) = 10967984
+TIMESTAMP = 1734460362
+SHA256 (KDE/release-service/24.12.0/k3b-24.12.0.tar.xz) = 2f25aed2645a758da6a781dfda8a0e7fc29a007d47edf66cdb4ab648873b4a31
+SIZE (KDE/release-service/24.12.0/k3b-24.12.0.tar.xz) = 10696880
diff --git a/sysutils/k3b/pkg-plist b/sysutils/k3b/pkg-plist
index 255501dcb090..d54c3fa9c5e4 100644
--- a/sysutils/k3b/pkg-plist
+++ b/sysutils/k3b/pkg-plist
@@ -117,7 +117,7 @@ include/k3bvideodvdtitledetectclippingjob.h
 include/k3bvideodvdtitletranscodingjob.h
 include/k3bvideodvdvideostream.h
 include/k3bwavefilewriter.h
-lib/libexec/kauth/k3bhelper
+lib/libexec/kf6/kauth/k3bhelper
 lib/libk3bdevice.so
 lib/libk3bdevice.so.8
 lib/libk3bdevice.so.8.0.0
@@ -139,7 +139,7 @@ lib/libk3blib.so.8.0.0
 %%QT_PLUGINDIR%%/k3b_plugins/kcms/kcm_k3blameencoder.so
 %%QT_PLUGINDIR%%/k3b_plugins/kcms/kcm_k3boggvorbisencoder.so
 %%QT_PLUGINDIR%%/k3b_plugins/kcms/kcm_k3bsoxencoder.so
-%%QT_PLUGINDIR%%/kf5/kio/videodvd.so
+%%QT_PLUGINDIR%%/kf6/kio/videodvd.so
 share/applications/org.kde.k3b.desktop
 share/dbus-1/system-services/org.kde.k3b.service
 share/dbus-1/system.d/org.kde.k3b.conf
@@ -171,7 +171,6 @@ share/icons/hicolor/scalable/mimetypes/application-x-k3b.svgz
 %%DATADIR%%/icons/hicolor/128x128/devices/media-optical-dvd-video.png
 %%DATADIR%%/icons/hicolor/128x128/devices/media-optical-mixed-cd.png
 %%DATADIR%%/icons/hicolor/128x128/devices/media-optical-video.png
-%%DATADIR%%/icons/hicolor/16x16/actions/musicbrainz.png
 %%DATADIR%%/icons/hicolor/16x16/actions/tools-rip-audio-cd.png
 %%DATADIR%%/icons/hicolor/16x16/actions/tools-rip-video-cd.png
 %%DATADIR%%/icons/hicolor/16x16/actions/tools-rip-video-dvd.png
@@ -206,7 +205,6 @@ share/icons/hicolor/scalable/mimetypes/application-x-k3b.svgz
 %%DATADIR%%/icons/hicolor/48x48/devices/media-optical-dvd-video.png
 %%DATADIR%%/icons/hicolor/48x48/devices/media-optical-mixed-cd.png
 %%DATADIR%%/icons/hicolor/48x48/devices/media-optical-video.png
-%%DATADIR%%/icons/hicolor/64x64/actions/musicbrainz.png
 %%DATADIR%%/icons/hicolor/64x64/actions/tools-rip-audio-cd.png
 %%DATADIR%%/icons/hicolor/64x64/actions/tools-rip-video-cd.png
 %%DATADIR%%/icons/hicolor/64x64/actions/tools-rip-video-dvd.png
@@ -298,17 +296,14 @@ share/icons/hicolor/scalable/mimetypes/application-x-k3b.svgz
 %%DATADIR%%/pics/quant/project_right.png
 %%DATADIR%%/pics/quant/splash.png
 %%DATADIR%%/pics/quant/welcome_bg.png
-share/knotifications5/k3b.notifyrc
+share/kio/servicemenus/k3b_create_audio_cd.desktop
+share/kio/servicemenus/k3b_create_data_project.desktop
+share/kio/servicemenus/k3b_create_video_cd.desktop
+share/kio/servicemenus/k3b_write_bin_image.desktop
+share/kio/servicemenus/k3b_write_iso_image.desktop
+share/knotifications6/k3b.notifyrc
 share/knsrcfiles/k3btheme.knsrc
 share/konqsidebartng/virtual_folders/services/videodvd.desktop
-share/kservices5/ServiceMenus/k3b_create_audio_cd.desktop
-share/kservices5/ServiceMenus/k3b_create_data_project.desktop
-share/kservices5/ServiceMenus/k3b_create_video_cd.desktop
-share/kservices5/ServiceMenus/k3b_write_bin_image.desktop
-share/kservices5/ServiceMenus/k3b_write_iso_image.desktop
-share/kservicetypes5/k3bplugin.desktop
-share/kxmlgui5/k3b/k3bdeviceui.rc
-share/kxmlgui5/k3b/k3bui.rc
 share/locale/ar/LC_MESSAGES/k3b.mo
 share/locale/ar/LC_MESSAGES/kio_videodvd.mo
 share/locale/ar/LC_MESSAGES/libk3bdevice.mo
@@ -572,7 +567,7 @@ share/locale/zh_TW/LC_MESSAGES/libk3bdevice.mo
 share/metainfo/org.kde.k3b.appdata.xml
 share/mime/packages/x-k3b.xml
 share/polkit-1/actions/org.kde.k3b.policy
-share/qlogging-categories5/k3b.categories
+share/qlogging-categories6/k3b.categories
 share/solid/actions/k3b_audiocd_rip.desktop
 share/solid/actions/k3b_copy_disc.desktop
 share/solid/actions/k3b_create_audio_cd_from_blank_medium.desktop
diff --git a/sysutils/kbackup/Makefile b/sysutils/kbackup/Makefile
index c567dfe5a3b8..62798c96b273 100644
--- a/sysutils/kbackup/Makefile
+++ b/sysutils/kbackup/Makefile
@@ -1,20 +1,19 @@
 PORTNAME=	kbackup
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	sysutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Backup program with an easy to use user interface
 WWW=		https://utils.kde.org/projects/kbackup/
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 \
-		qt:5 shared-mime-info tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 shared-mime-info tar:xz xorg
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
 		coreaddons guiaddons i18n iconthemes itemviews jobwidgets kio \
-		notifications service solid widgetsaddons windowsystem xmlgui \
+		notifications service solid statusnotifieritem widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/sysutils/kbackup/distinfo b/sysutils/kbackup/distinfo
index f87e5ba31e92..0731dd54f13f 100644
--- a/sysutils/kbackup/distinfo
+++ b/sysutils/kbackup/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889345
-SHA256 (KDE/release-service/23.08.5/kbackup-23.08.5.tar.xz) = a16c4d5a67ea6c4cb7c7580f0b3551a34879f5e9db94700ec406a72aecc6be5f
-SIZE (KDE/release-service/23.08.5/kbackup-23.08.5.tar.xz) = 400324
+TIMESTAMP = 1734460364
+SHA256 (KDE/release-service/24.12.0/kbackup-24.12.0.tar.xz) = 22d1c53e75f2c2164c9ab1b94d3b74156f34e03ebafdb4865218dd4dc7825b2a
+SIZE (KDE/release-service/24.12.0/kbackup-24.12.0.tar.xz) = 388492
diff --git a/sysutils/kbackup/pkg-plist b/sysutils/kbackup/pkg-plist
index 4118eecf9570..3138b9e404a6 100644
--- a/sysutils/kbackup/pkg-plist
+++ b/sysutils/kbackup/pkg-plist
@@ -1,5 +1,6 @@
 bin/kbackup
 share/applications/org.kde.kbackup.desktop
+share/icons/hicolor/128x128/apps/kbackup.png
 share/icons/hicolor/16x16/apps/kbackup.png
 share/icons/hicolor/16x16/mimetypes/text-x-kbp.png
 share/icons/hicolor/22x22/actions/kbackup_cancel.png
@@ -7,8 +8,9 @@ share/icons/hicolor/22x22/actions/kbackup_runs.png
 share/icons/hicolor/22x22/actions/kbackup_start.png
 share/icons/hicolor/32x32/apps/kbackup.png
 share/icons/hicolor/32x32/mimetypes/text-x-kbp.png
-share/kxmlgui5/kbackup/kbackupui.rc
 share/locale/ar/LC_MESSAGES/kbackup.mo
+share/locale/ast/LC_MESSAGES/kbackup.mo
+share/locale/bg/LC_MESSAGES/kbackup.mo
 share/locale/ca/LC_MESSAGES/kbackup.mo
 share/locale/ca@valencia/LC_MESSAGES/kbackup.mo
 share/locale/cs/LC_MESSAGES/kbackup.mo
@@ -16,19 +18,23 @@ share/locale/da/LC_MESSAGES/kbackup.mo
 share/locale/de/LC_MESSAGES/kbackup.mo
 share/locale/el/LC_MESSAGES/kbackup.mo
 share/locale/en_GB/LC_MESSAGES/kbackup.mo
+share/locale/eo/LC_MESSAGES/kbackup.mo
 share/locale/es/LC_MESSAGES/kbackup.mo
 share/locale/et/LC_MESSAGES/kbackup.mo
 share/locale/eu/LC_MESSAGES/kbackup.mo
 share/locale/fi/LC_MESSAGES/kbackup.mo
 share/locale/fr/LC_MESSAGES/kbackup.mo
 share/locale/gl/LC_MESSAGES/kbackup.mo
+share/locale/he/LC_MESSAGES/kbackup.mo
 share/locale/ia/LC_MESSAGES/kbackup.mo
 share/locale/ie/LC_MESSAGES/kbackup.mo
+share/locale/is/LC_MESSAGES/kbackup.mo
 share/locale/it/LC_MESSAGES/kbackup.mo
 share/locale/ja/LC_MESSAGES/kbackup.mo
 share/locale/ka/LC_MESSAGES/kbackup.mo
 share/locale/ko/LC_MESSAGES/kbackup.mo
 share/locale/lt/LC_MESSAGES/kbackup.mo
+share/locale/lv/LC_MESSAGES/kbackup.mo
 share/locale/nl/LC_MESSAGES/kbackup.mo
 share/locale/nn/LC_MESSAGES/kbackup.mo
 share/locale/pl/LC_MESSAGES/kbackup.mo
@@ -48,7 +54,9 @@ share/man/es/man1/kbackup.1.gz
 share/man/it/man1/kbackup.1.gz
 share/man/man1/kbackup.1.gz
 share/man/nl/man1/kbackup.1.gz
+share/man/sl/man1/kbackup.1.gz
 share/man/sv/man1/kbackup.1.gz
+share/man/tr/man1/kbackup.1.gz
 share/man/uk/man1/kbackup.1.gz
 share/metainfo/org.kde.kbackup.appdata.xml
 share/mime/packages/kbackup.xml
diff --git a/sysutils/kcron/Makefile b/sysutils/kcron/Makefile
index 3ad6f7f0ca27..61726f7e865c 100644
--- a/sysutils/kcron/Makefile
+++ b/sysutils/kcron/Makefile
@@ -9,13 +9,12 @@ WWW=		https://www.kde.org
 BUILD_DEPENDS=	${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
 		docbook-xml>0:textproc/docbook-xml
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		doctools i18n iconthemes jobwidgets kcmutils kio service solid \
-		widgetsaddons windowsystem xmlgui \
+		doctools i18n iconthemes jobwidgets kcmutils kio kirigami-addons \
+		service solid widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/sysutils/kcron/distinfo b/sysutils/kcron/distinfo
index abb521a9dea4..a9b9f3ab8f73 100644
--- a/sysutils/kcron/distinfo
+++ b/sysutils/kcron/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889349
-SHA256 (KDE/release-service/23.08.5/kcron-23.08.5.tar.xz) = 02e9e34137fd5425948d87dfa47f1c09a979038f7c41e6304bbdd67d859ddc42
-SIZE (KDE/release-service/23.08.5/kcron-23.08.5.tar.xz) = 942512
+TIMESTAMP = 1734460366
+SHA256 (KDE/release-service/24.12.0/kcron-24.12.0.tar.xz) = 169fdd6376aaca069f3f078671651e90d44675bb29e3b3704de067b3a04dc92f
+SIZE (KDE/release-service/24.12.0/kcron-24.12.0.tar.xz) = 896404
diff --git a/sysutils/kcron/pkg-plist b/sysutils/kcron/pkg-plist
index 499a5599ff21..77c47fcebe2e 100644
--- a/sysutils/kcron/pkg-plist
+++ b/sysutils/kcron/pkg-plist
@@ -1,10 +1,11 @@
-lib/libexec/kauth/kcron_helper
-%%QT_PLUGINDIR%%/plasma/kcms/systemsettings_qwidgets/kcm_cron.so
+lib/libexec/kf6/kauth/kcron_helper
+%%QT_PLUGINDIR%%/plasma/kcms/systemsettings/kcm_cron.so
 share/applications/kcm_cron.desktop
 share/dbus-1/system-services/local.kcron.crontab.service
 share/dbus-1/system.d/local.kcron.crontab.conf
 share/locale/af/LC_MESSAGES/kcron.mo
 share/locale/ar/LC_MESSAGES/kcron.mo
+share/locale/ast/LC_MESSAGES/kcron.mo
 share/locale/be/LC_MESSAGES/kcron.mo
 share/locale/bg/LC_MESSAGES/kcron.mo
 share/locale/br/LC_MESSAGES/kcron.mo
@@ -80,4 +81,4 @@ share/locale/zh_HK/LC_MESSAGES/kcron.mo
 share/locale/zh_TW/LC_MESSAGES/kcron.mo
 share/metainfo/org.kde.kcron.metainfo.xml
 share/polkit-1/actions/local.kcron.crontab.policy
-share/qlogging-categories5/kcron.categories
+share/qlogging-categories6/kcron.categories
diff --git a/sysutils/kdeadmin/Makefile b/sysutils/kdeadmin/Makefile
index 6e054544a5cb..1757fdb2fc20 100644
--- a/sysutils/kdeadmin/Makefile
+++ b/sysutils/kdeadmin/Makefile
@@ -1,13 +1,12 @@
 PORTNAME=	kdeadmin
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	sysutils kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE Administration applications (meta port)
 WWW=		https://www.kde.org
 
-USES=		kde:5 metaport
+USES=		kde:6 metaport
 
 OPTIONS_DEFINE=		KCRON KSYSTEMLOG
 OPTIONS_DEFAULT=	KCRON KSYSTEMLOG
diff --git a/sysutils/kdebugsettings/Makefile b/sysutils/kdebugsettings/Makefile
index 68bed9192399..51828ce672fe 100644
--- a/sysutils/kdebugsettings/Makefile
+++ b/sysutils/kdebugsettings/Makefile
@@ -6,12 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE application to enable/disable qCDebug
 WWW=		https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	completion config configwidgets coreaddons dbusaddons \
-		guiaddons i18n iconthemes itemviews kio widgetsaddons \
+		guiaddons i18n iconthemes itemviews kio widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus gui testlib widgets \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/sysutils/kdebugsettings/distinfo b/sysutils/kdebugsettings/distinfo
index 8d8fa79c976a..603a5183b8a4 100644
--- a/sysutils/kdebugsettings/distinfo
+++ b/sysutils/kdebugsettings/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889348
-SHA256 (KDE/release-service/23.08.5/kdebugsettings-23.08.5.tar.xz) = 98b1001cfae74749fe4099c06b5b17d99dc6be47cf13b13b872abd5665e14b10
-SIZE (KDE/release-service/23.08.5/kdebugsettings-23.08.5.tar.xz) = 108668
+TIMESTAMP = 1734460367
+SHA256 (KDE/release-service/24.12.0/kdebugsettings-24.12.0.tar.xz) = 3aaef428148e92882eb184967ba73d92e053d35cb86a0157e91609089a97aaf9
+SIZE (KDE/release-service/24.12.0/kdebugsettings-24.12.0.tar.xz) = 116796
diff --git a/sysutils/kdebugsettings/pkg-plist b/sysutils/kdebugsettings/pkg-plist
index 7834aab85c61..7dd2418dd5f5 100644
--- a/sysutils/kdebugsettings/pkg-plist
+++ b/sysutils/kdebugsettings/pkg-plist
@@ -1,11 +1,12 @@
 bin/kdebugsettings
 lib/libkdebugsettings.so.%%KDE_APPLICATIONS_VERSION%%
-lib/libkdebugsettings.so.5
+lib/libkdebugsettings.so.6
 lib/libkdebugsettingscore.so.%%KDE_APPLICATIONS_VERSION%%
-lib/libkdebugsettingscore.so.5
+lib/libkdebugsettingscore.so.6
 share/applications/org.kde.kdebugsettings.desktop
 %%DATADIR%%/groups/Full Debug Ruqola
 share/locale/ar/LC_MESSAGES/kdebugsettings.mo
+share/locale/ast/LC_MESSAGES/kdebugsettings.mo
 share/locale/az/LC_MESSAGES/kdebugsettings.mo
 share/locale/ca/LC_MESSAGES/kdebugsettings.mo
 share/locale/ca@valencia/LC_MESSAGES/kdebugsettings.mo
@@ -14,12 +15,14 @@ share/locale/da/LC_MESSAGES/kdebugsettings.mo
 share/locale/de/LC_MESSAGES/kdebugsettings.mo
 share/locale/el/LC_MESSAGES/kdebugsettings.mo
 share/locale/en_GB/LC_MESSAGES/kdebugsettings.mo
+share/locale/eo/LC_MESSAGES/kdebugsettings.mo
 share/locale/es/LC_MESSAGES/kdebugsettings.mo
 share/locale/et/LC_MESSAGES/kdebugsettings.mo
 share/locale/eu/LC_MESSAGES/kdebugsettings.mo
 share/locale/fi/LC_MESSAGES/kdebugsettings.mo
 share/locale/fr/LC_MESSAGES/kdebugsettings.mo
 share/locale/gl/LC_MESSAGES/kdebugsettings.mo
+share/locale/he/LC_MESSAGES/kdebugsettings.mo
 share/locale/hu/LC_MESSAGES/kdebugsettings.mo
 share/locale/ia/LC_MESSAGES/kdebugsettings.mo
 share/locale/it/LC_MESSAGES/kdebugsettings.mo
@@ -46,5 +49,5 @@ share/locale/uk/LC_MESSAGES/kdebugsettings.mo
 share/locale/zh_CN/LC_MESSAGES/kdebugsettings.mo
 share/locale/zh_TW/LC_MESSAGES/kdebugsettings.mo
 share/metainfo/org.kde.kdebugsettings.appdata.xml
-share/qlogging-categories5/kde.renamecategories
-share/qlogging-categories5/kdebugsettings.categories
+share/qlogging-categories6/kde.renamecategories
+share/qlogging-categories6/kdebugsettings.categories
diff --git a/sysutils/kdf/Makefile b/sysutils/kdf/Makefile
index 4b2c2f2395a4..bd316606ee2b 100644
--- a/sysutils/kdf/Makefile
+++ b/sysutils/kdf/Makefile
@@ -6,13 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Shows free space of devices for KDE
 WWW=		https://utils.kde.org/projects/kdf/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
 		doctools i18n iconthemes jobwidgets kcmutils kio notifications \
-		service solid widgetsaddons windowsystem xmlgui \
+		service solid statusnotifieritem widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/sysutils/kdf/distinfo b/sysutils/kdf/distinfo
index c4a5216df992..8004b75f19a1 100644
--- a/sysutils/kdf/distinfo
+++ b/sysutils/kdf/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889350
-SHA256 (KDE/release-service/23.08.5/kdf-23.08.5.tar.xz) = aa8eb884096ba1671ffc7ab10bfabed873ad72229d3486c0e6426832aaea177f
-SIZE (KDE/release-service/23.08.5/kdf-23.08.5.tar.xz) = 495184
+TIMESTAMP = 1734460369
+SHA256 (KDE/release-service/24.12.0/kdf-24.12.0.tar.xz) = 2f1d21d78676a819a60ebb6825f0ede3af11d67015a07b46bfe6a92b7fa6cfba
+SIZE (KDE/release-service/24.12.0/kdf-24.12.0.tar.xz) = 479492
diff --git a/sysutils/kdf/pkg-plist b/sysutils/kdf/pkg-plist
index 578e82847197..ae41d0f9f034 100644
--- a/sysutils/kdf/pkg-plist
+++ b/sysutils/kdf/pkg-plist
@@ -21,9 +21,9 @@ share/icons/hicolor/48x48/apps/kdf.png
 share/icons/hicolor/48x48/apps/kwikdisk.png
 share/icons/hicolor/64x64/apps/kdf.png
 share/icons/hicolor/64x64/apps/kwikdisk.png
-share/kxmlgui5/kdf/kdfui.rc
 share/locale/af/LC_MESSAGES/kdf.mo
 share/locale/ar/LC_MESSAGES/kdf.mo
+share/locale/ast/LC_MESSAGES/kdf.mo
 share/locale/be/LC_MESSAGES/kdf.mo
 share/locale/bg/LC_MESSAGES/kdf.mo
 share/locale/br/LC_MESSAGES/kdf.mo
@@ -97,4 +97,4 @@ share/locale/xh/LC_MESSAGES/kdf.mo
 share/locale/zh_CN/LC_MESSAGES/kdf.mo
 share/locale/zh_TW/LC_MESSAGES/kdf.mo
 share/metainfo/org.kde.kdf.appdata.xml
-share/qlogging-categories5/kdf.categories
+share/qlogging-categories6/kdf.categories
diff --git a/sysutils/kdialog/Makefile b/sysutils/kdialog/Makefile
index b76412ad23b0..c156a416afbb 100644
--- a/sysutils/kdialog/Makefile
+++ b/sysutils/kdialog/Makefile
@@ -6,16 +6,15 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Show nice dialog boxes from shell scripts
 WWW=		https://kde.org
 
-USES=		cmake compiler:c++11-lang gettext kde:5 pkgconfig \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 pkgconfig qt:6 tar:xz \
+		xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons guiaddons i18n iconthemes \
-		itemviews jobwidgets kdelibs4support kio notifications parts \
-		service solid sonnet textwidgets unitconversion widgetsaddons \
-		windowsystem xmlgui \
+		itemviews jobwidgets kio notifications parts service solid \
+		sonnet textwidgets unitconversion widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 .include <bsd.port.mk>
diff --git a/sysutils/kdialog/distinfo b/sysutils/kdialog/distinfo
index 907a0db93c83..0445c7ca5ab0 100644
--- a/sysutils/kdialog/distinfo
+++ b/sysutils/kdialog/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889354
-SHA256 (KDE/release-service/23.08.5/kdialog-23.08.5.tar.xz) = 12c32014f396c9a347c89b1bf174e2e5922cc92c7142c36baa0babdd6c6da6dc
-SIZE (KDE/release-service/23.08.5/kdialog-23.08.5.tar.xz) = 144408
+TIMESTAMP = 1734460371
+SHA256 (KDE/release-service/24.12.0/kdialog-24.12.0.tar.xz) = 6922aa49019b14acb3fb3f22151ff71021aa6b31e8a90590c3b87178984e569f
+SIZE (KDE/release-service/24.12.0/kdialog-24.12.0.tar.xz) = 146932
diff --git a/sysutils/kdialog/pkg-plist b/sysutils/kdialog/pkg-plist
index 4b03e9c118fe..8e608015d57e 100644
--- a/sysutils/kdialog/pkg-plist
+++ b/sysutils/kdialog/pkg-plist
@@ -4,6 +4,8 @@ share/applications/org.kde.kdialog.desktop
 share/dbus-1/interfaces/org.kde.kdialog.ProgressDialog.xml
 share/locale/af/LC_MESSAGES/kdialog.mo
 share/locale/ar/LC_MESSAGES/kdialog.mo
+share/locale/ast/LC_MESSAGES/kdialog.mo
+share/locale/az/LC_MESSAGES/kdialog.mo
 share/locale/be/LC_MESSAGES/kdialog.mo
 share/locale/be@latin/LC_MESSAGES/kdialog.mo
 share/locale/bg/LC_MESSAGES/kdialog.mo
diff --git a/sysutils/kf5-baloo/Makefile b/sysutils/kf5-baloo/Makefile
index 5670252764b6..958882e03d4f 100644
--- a/sysutils/kf5-baloo/Makefile
+++ b/sysutils/kf5-baloo/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	baloo
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	sysutils kde kde-frameworks
 
 MAINTAINER=	kde@FreeBSD.org
@@ -8,6 +9,8 @@ COMMENT=	KF5 Framework for searching and managing user metadata
 LIB_DEPENDS=	liblmdb.so:databases/lmdb \
 		libinotify.so:devel/libinotify
 
+DEPRECATED=	has its functionality stripped compared to a kf6 variant
+
 USES=		cmake compiler:c++11-lib gettext kde:5 pathfix qt:5 tar:xz
 USE_KDE=	config coreaddons crash dbusaddons \
 		filemetadata i18n idletime kio service \
@@ -16,4 +19,7 @@ USE_KDE=	config coreaddons crash dbusaddons \
 USE_QT=		concurrent core dbus declarative gui network \
 		buildtools:build qmake:build testlib:build
 
+# KF6 coinstallability
+CMAKE_OFF=	BUILD_INDEXER_SERVICE
+
 .include <bsd.port.mk>
diff --git a/sysutils/kf5-baloo/pkg-plist b/sysutils/kf5-baloo/pkg-plist
index 4ca985462428..7bf7e32eb9af 100644
--- a/sysutils/kf5-baloo/pkg-plist
+++ b/sysutils/kf5-baloo/pkg-plist
@@ -1,9 +1,9 @@
-bin/baloo_file
-bin/baloo_file_extractor
-bin/balooctl
-bin/baloosearch
+@comment bin/baloo_file
+@comment bin/baloo_file_extractor
+@comment bin/balooctl
+@comment bin/baloosearch
 bin/balooshow
-etc/xdg/autostart/baloo_file.desktop
+@comment etc/xdg/autostart/baloo_file.desktop
 include/KF5/Baloo/Baloo/File
 include/KF5/Baloo/Baloo/FileMonitor
 include/KF5/Baloo/Baloo/IndexerConfig
@@ -30,8 +30,8 @@ lib/libKF5Baloo.so.5
 lib/libKF5Baloo.so.%%KDE_FRAMEWORKS_VERSION%%
 lib/libKF5BalooEngine.so.5
 lib/libKF5BalooEngine.so.%%KDE_FRAMEWORKS_VERSION%%
-lib/libexec/baloo_file
-lib/libexec/baloo_file_extractor
+@comment lib/libexec/baloo_file
+@comment lib/libexec/baloo_file_extractor
 %%QT_MKSPECDIR%%/modules/qt_Baloo.pri
 %%QT_PLUGINDIR%%/kf5/kded/baloosearchmodule.so
 %%QT_PLUGINDIR%%/kf5/kio/baloosearch.so
@@ -41,13 +41,13 @@ lib/libexec/baloo_file_extractor
 %%QT_QMLDIR%%/org/kde/baloo/experimental/qmldir
 %%QT_QMLDIR%%/org/kde/baloo/libbalooplugin.so
 %%QT_QMLDIR%%/org/kde/baloo/qmldir
-lib/systemd/user/kde-baloo.service
+@comment lib/systemd/user/kde-baloo.service
 libdata/pkgconfig/Baloo.pc
-share/dbus-1/interfaces/org.kde.BalooWatcherApplication.xml
-share/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
-share/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
-share/dbus-1/interfaces/org.kde.baloo.main.xml
-share/dbus-1/interfaces/org.kde.baloo.scheduler.xml
+@comment share/dbus-1/interfaces/org.kde.BalooWatcherApplication.xml
+@comment share/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
+@comment share/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
+@comment share/dbus-1/interfaces/org.kde.baloo.main.xml
+@comment share/dbus-1/interfaces/org.kde.baloo.scheduler.xml
 share/locale/ar/LC_MESSAGES/baloo_file5.mo
 share/locale/ar/LC_MESSAGES/baloo_file_extractor5.mo
 share/locale/ar/LC_MESSAGES/balooctl5.mo
diff --git a/sysutils/kf5-kwallet/Makefile b/sysutils/kf5-kwallet/Makefile
index f96ddf1b1477..0ab90a41edd8 100644
--- a/sysutils/kf5-kwallet/Makefile
+++ b/sysutils/kf5-kwallet/Makefile
@@ -6,6 +6,8 @@ CATEGORIES=	sysutils kde kde-frameworks
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KF5 secure and unified container for user passwords
 
+DEPRECATED=	has its functionality stripped compared to a kf6 variant
+
 LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgcrypt.so:security/libgcrypt \
 		libgpg-error.so:security/libgpg-error \
@@ -22,6 +24,9 @@ USE_QT=		core dbus gui testlib widgets xml \
 		buildtools:build qmake:build
 USE_XORG=	x11
 
+# KF6 coinstallability
+CMAKE_OFF=	BUILD_KWALLET_QUERY
+
 OPTIONS_DEFINE=		PINENTRY
 OPTIONS_DEFAULT=	PINENTRY
 
diff --git a/sysutils/kf5-kwallet/pkg-plist b/sysutils/kf5-kwallet/pkg-plist
index 07637a408f8c..ec207b67cb56 100644
--- a/sysutils/kf5-kwallet/pkg-plist
+++ b/sysutils/kf5-kwallet/pkg-plist
@@ -1,4 +1,4 @@
-bin/kwallet-query
+@comment bin/kwallet-query
 bin/kwalletd5
 include/KF5/KWallet/KWallet
 include/KF5/KWallet/kwallet.h
@@ -148,6 +148,6 @@ share/locale/zh_CN/LC_MESSAGES/kwallet-query.mo
 share/locale/zh_CN/LC_MESSAGES/kwalletd5.mo
 share/locale/zh_TW/LC_MESSAGES/kwallet-query.mo
 share/locale/zh_TW/LC_MESSAGES/kwalletd5.mo
-share/man/man1/kwallet-query.1.gz
+@comment share/man/man1/kwallet-query.1.gz
 share/qlogging-categories5/kwallet.categories
 share/qlogging-categories5/kwallet.renamecategories
diff --git a/sysutils/khelpcenter/Makefile b/sysutils/khelpcenter/Makefile
index b32e25e1f980..f19b66b5eaf0 100644
--- a/sysutils/khelpcenter/Makefile
+++ b/sysutils/khelpcenter/Makefile
@@ -9,22 +9,20 @@ WWW=		https://projects.kde.org/projects/kde/workspace/khelpcenter
 LIB_DEPENDS=	libxapian.so:databases/xapian-core
 
 USES=		cmake compiler:c++11-lib desktop-file-utils gettext gnome \
-		grantlee:5 kde:5 qt:5 shebangfix tar:xz xorg
+		kde:6 python:env,run qt:6 shebangfix tar:xz xorg
 USE_GNOME=	libxml2
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
-		coreaddons dbusaddons emoticons i18n init \
-		itemmodels itemviews jobwidgets js kcmutils \
-		kio khtml parts service solid sonnet textwidgets widgetsaddons \
-		windowsystem xmlgui \
+		coreaddons dbusaddons i18n itemmodels itemviews jobwidgets \
+		kcmutils kio parts service solid sonnet texttemplate \
+		textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
 # This port depends on doctools; we need the entities and such for runtime
 # documentation support, where all the other KDE Plasma parts need it
 # only for the build-time documentation-generation.
 USE_KDE+=	doctools
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base webengine
 USE_XORG=	x11
-SHEBANG_FILES=	searchhandlers/khc_mansearch.pl
+SHEBANG_FILES=	searchhandlers/khc_mansearch.py
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/sysutils/khelpcenter/distinfo b/sysutils/khelpcenter/distinfo
index 05847d0d2c75..5303f4d70c52 100644
--- a/sysutils/khelpcenter/distinfo
+++ b/sysutils/khelpcenter/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889347
-SHA256 (KDE/release-service/23.08.5/khelpcenter-23.08.5.tar.xz) = 4c0f69fb55a80e4c863b9edd2bc6ea5441d18d8369aba0ce7cfb3e1c21757fd7
-SIZE (KDE/release-service/23.08.5/khelpcenter-23.08.5.tar.xz) = 4371224
+TIMESTAMP = 1734460373
+SHA256 (KDE/release-service/24.12.0/khelpcenter-24.12.0.tar.xz) = 2f9853d63c77627772b1eff00f508cc53ba2f853ffabca71ec004c5c27e31b39
+SIZE (KDE/release-service/24.12.0/khelpcenter-24.12.0.tar.xz) = 4239432
